Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl.deploy
Class DeploymentDescriptorMerger

    java.lang.Object
      org.jbpm.runtime.manager.impl.deploy.DeploymentDescriptorMerger

    public class DeploymentDescriptorMerger

extends Object

Constructor Summary
`DeploymentDescriptorMerger()`

Method Summary
`org.kie.internal.runtime.conf.DeploymentDescriptor` | `merge(org.kie.internal.runtime.conf.DeploymentDescriptor master, org.kie.internal.runtime.conf.DeploymentDescriptor slave, org.kie.internal.runtime.conf.MergeMode mode)`
`org.kie.internal.runtime.conf.DeploymentDescriptor` | `merge(List<org.kie.internal.runtime.conf.DeploymentDescriptor> descriptorHierarchy, org.kie.internal.runtime.conf.MergeMode mode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeploymentDescriptorMerger

    public DeploymentDescriptorMerger()

Method Detail

### merge

    public org.kie.internal.runtime.conf.DeploymentDescriptor merge(List<org.kie.internal.runtime.conf.DeploymentDescriptor> descriptorHierarchy,
                                                                    org.kie.internal.runtime.conf.MergeMode mode)

### merge

    public org.kie.internal.runtime.conf.DeploymentDescriptor merge(org.kie.internal.runtime.conf.DeploymentDescriptor master,
                                                                    org.kie.internal.runtime.conf.DeploymentDescriptor slave,
                                                                    org.kie.internal.runtime.conf.MergeMode mode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.